- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ignore_missing_arguments_scope Class Reference

`#include <fastformat/format/specification_defect_handling/ignore_missing_arguments_scope.hpp>`

Inheritance diagram for ignore_missing_arguments_scope:

List of all members.

## Detailed Description

Scoping class that suppresses the reporting of unreferenced arguments during its lifetime.

## Public Types
typedef mismatched_arguments_scope_base | parent_class_type
| The parent type.
typedef ignore_missing_arguments_scope | class_type
| This type.
## Public Member Functions
| ignore_missing_arguments_scope ()
| Causes the thread/process mismatched handler to be set to a function that ignores the `FF_REPLACEMENTCODE_MISSING_ARGUMENT` code and passes all others to the previously-registered handler.
| ~ignore_missing_arguments_scope () throw ()
| Restores the thread/process mismatched handler to the function registered prior to the construction of this instance.

## Member Typedef Documentation

typedef mismatched_arguments_scope_base parent_class_type

The parent type.

typedef ignore_missing_arguments_scope class_type

This type.

Reimplemented from mismatched_arguments_scope_base.

## Constructor & Destructor Documentation

ignore_missing_arguments_scope | ( |  | ) | `[inline]`

Causes the thread/process mismatched handler to be set to a function that ignores the `FF_REPLACEMENTCODE_MISSING_ARGUMENT` code and passes all others to the previously-registered handler.

~ignore_missing_arguments_scope | ( |  | ) | throw ()`[inline]`

Restores the thread/process mismatched handler to the function registered prior to the construction of this instance.

Warning:
  The system behaviour is undefined if the thread/process mismatch handler is modified during the lifetime of this instance

The documentation for this class was generated from the following file:

- fastformat/format/specification_defect_handling/ignore_missing_arguments_scope.hpp

FastFormat Library documentation © Matthew Wilson, 2006-2009 |